//=========================================================
// src/InitDevice.c: generated by Hardware Configurator
//
// This file will be regenerated when saving a document.
// leave the sections inside the "$[...]" comment tags alone
// or they will be overwritten!
//=========================================================

// USER INCLUDES
#include <SI_C8051F930_Register_Enums.h>
#include "..\inc\InitDevice.h"

// USER PROTOTYPES
// USER FUNCTIONS

//==============================================================================
// enter_DefaultMode_from_RESET
//==============================================================================
extern void enter_DefaultMode_from_RESET(void) {
	// $[Config Calls]
	PCA_0_enter_DefaultMode_from_RESET();
	HFOSC_0_enter_DefaultMode_from_RESET();
	CLOCK_0_enter_DefaultMode_from_RESET();
	PORTS_0_enter_DefaultMode_from_RESET();
	PORTS_1_enter_DefaultMode_from_RESET();
	PORTS_2_enter_DefaultMode_from_RESET();
	PBCFG_0_enter_DefaultMode_from_RESET();
	TIMER01_0_enter_DefaultMode_from_RESET();
	TIMER_SETUP_0_enter_DefaultMode_from_RESET();
	SPI_1_enter_DefaultMode_from_RESET();
	UART_0_enter_DefaultMode_from_RESET();
	RSTSRC_0_enter_DefaultMode_from_RESET();
	INTERRUPT_0_enter_DefaultMode_from_RESET();
	// [Config Calls]$

}

//==============================================================================
// PCA_0_enter_DefaultMode_from_RESET
//==============================================================================
extern void PCA_0_enter_DefaultMode_from_RESET(void) {
	// $[Watchdog Disable]
	// Stop Watchdog
	// If MCU is reset by WDT before it runs to main(), please disable it in SILABS_STARTUP.A51
	SFRPAGE = 0x00;
	PCA0MD &= ~PCA0MD_WDTE__BMASK;

	// [Watchdog Disable]$

	// $[PCA0CPM0 - PCA Channel 0 Capture/Compare Mode 0]
	// [PCA0CPM0 - PCA Channel 0 Capture/Compare Mode 0]$

	// $[PCA0CPL0 - PCA Channel 0 Capture Module Low Byte]
	// [PCA0CPL0 - PCA Channel 0 Capture Module Low Byte]$

	// $[PCA0CPH0 - PCA Channel 0 Capture Module High Byte]
	// [PCA0CPH0 - PCA Channel 0 Capture Module High Byte]$

	// $[PCA0CPM1 - PCA Channel 1 Capture/Compare Mode]
	// [PCA0CPM1 - PCA Channel 1 Capture/Compare Mode]$

	// $[PCA0CPL1 - PCA Channel 1 Capture Module Low Byte]
	// [PCA0CPL1 - PCA Channel 1 Capture Module Low Byte]$

	// $[PCA0CPH1 - PCA Channel 1 Capture Module High Byte]
	// [PCA0CPH1 - PCA Channel 1 Capture Module High Byte]$

	// $[PCA0CPM2 - PCA Channel 2 Capture/Compare Mode]
	// [PCA0CPM2 - PCA Channel 2 Capture/Compare Mode]$

	// $[PCA0CPL2 - PCA Channel 2 Capture Module Low Byte]
	// [PCA0CPL2 - PCA Channel 2 Capture Module Low Byte]$

	// $[PCA0CPH2 - PCA Channel 2 Capture Module High Byte]
	// [PCA0CPH2 - PCA Channel 2 Capture Module High Byte]$

	// $[PCA0CPM3 - PCA Channel 3 Capture/Compare Mode]
	// [PCA0CPM3 - PCA Channel 3 Capture/Compare Mode]$

	// $[PCA0CPL3 - PCA Channel 3 Capture Module Low Byte]
	// [PCA0CPL3 - PCA Channel 3 Capture Module Low Byte]$

	// $[PCA0CPH3 - PCA Channel 3 Capture Module High Byte]
	// [PCA0CPH3 - PCA Channel 3 Capture Module High Byte]$

	// $[PCA0CPM4 - PCA Channel 4 Capture/Compare Mode]
	// [PCA0CPM4 - PCA Channel 4 Capture/Compare Mode]$

	// $[PCA0CPL4 - PCA Channel 4 Capture Module Low Byte]
	// [PCA0CPL4 - PCA Channel 4 Capture Module Low Byte]$

	// $[PCA0CPH4 - PCA Channel 4 Capture Module High Byte]
	// [PCA0CPH4 - PCA Channel 4 Capture Module High Byte]$

	// $[PCA0CPM5 - PCA Channel 5 Capture/Compare Mode]
	// [PCA0CPM5 - PCA Channel 5 Capture/Compare Mode]$

	// $[PCA0CPL5 - PCA Channel 5 Capture Module Low Byte]
	// [PCA0CPL5 - PCA Channel 5 Capture Module Low Byte]$

	// $[PCA0CPH5 - PCA Channel 5 Capture Module High Byte]
	// [PCA0CPH5 - PCA Channel 5 Capture Module High Byte]$

	// $[PCA0CN - PCA Control]
	// [PCA0CN - PCA Control]$

	// $[PCA0L - PCA Counter/Timer Low Byte]
	// [PCA0L - PCA Counter/Timer Low Byte]$

	// $[PCA0H - PCA Counter/Timer High Byte]
	// [PCA0H - PCA Counter/Timer High Byte]$

	// $[PCA0PWM - PCA PWM Configuration]
	// [PCA0PWM - PCA PWM Configuration]$

	// $[PCA0MD - PCA Mode]
	// [PCA0MD - PCA Mode]$

	// $[WDT - Watchdog run Control]
	// [WDT - Watchdog run Control]$

}

//==============================================================================
// HFOSC_0_enter_DefaultMode_from_RESET
//==============================================================================
extern void HFOSC_0_enter_DefaultMode_from_RESET(void) {
	// $[OSCICL - High Frequency Oscillator Calibration]
	// [OSCICL - High Frequency Oscillator Calibration]$

	// $[OSCICN - High Frequency Oscillator Control]
	/*
	 // IOSCEN (High Frequency Oscillator Enable) = ENABLED (High Frequency
	 //     Oscillator enabled.)
	 */
	OSCICN |= OSCICN_IOSCEN__ENABLED;
	// [OSCICN - High Frequency Oscillator Control]$

}

//==============================================================================
// CLOCK_0_enter_DefaultMode_from_RESET
//==============================================================================
extern void CLOCK_0_enter_DefaultMode_from_RESET(void) {
	// $[CLKSEL - Clock Select]
	/*
	 // CLKDIV (Clock Source Divider) = SYSCLK_DIV_1 (SYSCLK is equal to
	 //     selected clock source divided by 1.)
	 // CLKSL (Clock Source Select) = LPOSC (Clock derived from the Internal
	 //     Low Power Oscillator.)
	 */
	CLKSEL = CLKSEL_CLKDIV__SYSCLK_DIV_1 | CLKSEL_CLKSL__LPOSC;
	// Wait for the clock to be ready
	while ((CLKSEL & CLKSEL_CLKRDY__BMASK) != CLKSEL_CLKRDY__SET)
		;
	// [CLKSEL - Clock Select]$

}

//==============================================================================
// PORTS_0_enter_DefaultMode_from_RESET
//==============================================================================
extern void PORTS_0_enter_DefaultMode_from_RESET(void) {
	// $[P0 - Port 0 Pin Latch]
	// [P0 - Port 0 Pin Latch]$

	// $[P0MDOUT - Port 0 Output Mode]
	/*
	 // B0 (Port 0 Bit 0 Output Mode) = OPEN_DRAIN (P0.0 output is open-
	 //     drain.)
	 // B1 (Port 0 Bit 1 Output Mode) = OPEN_DRAIN (P0.1 output is open-
	 //     drain.)
	 // B2 (Port 0 Bit 2 Output Mode) = OPEN_DRAIN (P0.2 output is open-
	 //     drain.)
	 // B3 (Port 0 Bit 3 Output Mode) = OPEN_DRAIN (P0.3 output is open-
	 //     drain.)
	 // B4 (Port 0 Bit 4 Output Mode) = PUSH_PULL (P0.4 output is push-pull.)
	 // B5 (Port 0 Bit 5 Output Mode) = OPEN_DRAIN (P0.5 output is open-
	 //     drain.)
	 // B6 (Port 0 Bit 6 Output Mode) = OPEN_DRAIN (P0.6 output is open-
	 //     drain.)
	 // B7 (Port 0 Bit 7 Output Mode) = OPEN_DRAIN (P0.7 output is open-
	 //     drain.)
	 */
	P0MDOUT = P0MDOUT_B0__OPEN_DRAIN | P0MDOUT_B1__OPEN_DRAIN
			| P0MDOUT_B2__OPEN_DRAIN | P0MDOUT_B3__OPEN_DRAIN
			| P0MDOUT_B4__PUSH_PULL | P0MDOUT_B5__OPEN_DRAIN
			| P0MDOUT_B6__OPEN_DRAIN | P0MDOUT_B7__OPEN_DRAIN;
	// [P0MDOUT - Port 0 Output Mode]$

	// $[P0MDIN - Port 0 Input Mode]
	// [P0MDIN - Port 0 Input Mode]$

	// $[P0SKIP - Port 0 Skip]
	// [P0SKIP - Port 0 Skip]$

	// $[P0MASK - Port 0 Mask]
	// [P0MASK - Port 0 Mask]$

	// $[P0MAT - Port 0 Match]
	// [P0MAT - Port 0 Match]$

	// $[P0DRV - Port 0 Drive Strength]
	// [P0DRV - Port 0 Drive Strength]$

}

//==============================================================================
// PORTS_1_enter_DefaultMode_from_RESET
//==============================================================================
extern void PORTS_1_enter_DefaultMode_from_RESET(void) {
	// $[P1 - Port 1 Pin Latch]
	/*
	 // B0 (Port 1 Bit 0 Latch) = HIGH (P1.0 is high. Set P1.0 to drive or
	 //     float high.)
	 // B1 (Port 1 Bit 1 Latch) = HIGH (P1.1 is high. Set P1.1 to drive or
	 //     float high.)
	 // B2 (Port 1 Bit 2 Latch) = HIGH (P1.2 is high. Set P1.2 to drive or
	 //     float high.)
	 // B3 (Port 1 Bit 3 Latch) = LOW (P1.3 is low. Set P1.3 to drive low.)
	 // B4 (Port 1 Bit 4 Latch) = HIGH (P1.4 is high. Set P1.4 to drive or
	 //     float high.)
	 // B5 (Port 1 Bit 5 Latch) = HIGH (P1.5 is high. Set P1.5 to drive or
	 //     float high.)
	 // B6 (Port 1 Bit 6 Latch) = HIGH (P1.6 is high. Set P1.6 to drive or
	 //     float high.)
	 // B7 (Port 1 Bit 7 Latch) = HIGH (P1.7 is high. Set P1.7 to drive or
	 //     float high.)
	 */
	P1 = P1_B0__HIGH | P1_B1__HIGH | P1_B2__HIGH | P1_B3__LOW | P1_B4__HIGH
			| P1_B5__HIGH | P1_B6__HIGH | P1_B7__HIGH;
	// [P1 - Port 1 Pin Latch]$

	// $[P1MDOUT - Port 1 Output Mode]
	/*
	 // B0 (Port 1 Bit 0 Output Mode) = PUSH_PULL (P1.0 output is push-pull.)
	 // B1 (Port 1 Bit 1 Output Mode) = OPEN_DRAIN (P1.1 output is open-
	 //     drain.)
	 // B2 (Port 1 Bit 2 Output Mode) = PUSH_PULL (P1.2 output is push-pull.)
	 // B3 (Port 1 Bit 3 Output Mode) = PUSH_PULL (P1.3 output is push-pull.)
	 // B4 (Port 1 Bit 4 Output Mode) = PUSH_PULL (P1.4 output is push-pull.)
	 // B5 (Port 1 Bit 5 Output Mode) = PUSH_PULL (P1.5 output is push-pull.)
	 // B6 (Port 1 Bit 6 Output Mode) = PUSH_PULL (P1.6 output is push-pull.)
	 // B7 (Port 1 Bit 7 Output Mode) = OPEN_DRAIN (P1.7 output is open-
	 //     drain.)
	 */
	P1MDOUT = P1MDOUT_B0__PUSH_PULL | P1MDOUT_B1__OPEN_DRAIN
			| P1MDOUT_B2__PUSH_PULL | P1MDOUT_B3__PUSH_PULL
			| P1MDOUT_B4__PUSH_PULL | P1MDOUT_B5__PUSH_PULL
			| P1MDOUT_B6__PUSH_PULL | P1MDOUT_B7__OPEN_DRAIN;
	// [P1MDOUT - Port 1 Output Mode]$

	// $[P1MDIN - Port 1 Input Mode]
	// [P1MDIN - Port 1 Input Mode]$

	// $[P1SKIP - Port 1 Skip]
	/*
	 // B0 (Port 1 Bit 0 Skip) = NOT_SKIPPED (P1.0 pin is not skipped by the
	 //     crossbar.)
	 // B1 (Port 1 Bit 1 Skip) = NOT_SKIPPED (P1.1 pin is not skipped by the
	 //     crossbar.)
	 // B2 (Port 1 Bit 2 Skip) = NOT_SKIPPED (P1.2 pin is not skipped by the
	 //     crossbar.)
	 // B3 (Port 1 Bit 3 Skip) = SKIPPED (P1.3 pin is skipped by the
	 //     crossbar.)
	 // B4 (Port 1 Bit 4 Skip) = SKIPPED (P1.4 pin is skipped by the
	 //     crossbar.)
	 // B5 (Port 1 Bit 5 Skip) = NOT_SKIPPED (P1.5 pin is not skipped by the
	 //     crossbar.)
	 // B6 (Port 1 Bit 6 Skip) = NOT_SKIPPED (P1.6 pin is not skipped by the
	 //     crossbar.)
	 // B7 (Port 1 Bit 7 Skip) = NOT_SKIPPED (P1.7 pin is not skipped by the
	 //     crossbar.)
	 */
	P1SKIP = P1SKIP_B0__NOT_SKIPPED | P1SKIP_B1__NOT_SKIPPED
			| P1SKIP_B2__NOT_SKIPPED | P1SKIP_B3__SKIPPED | P1SKIP_B4__SKIPPED
			| P1SKIP_B5__NOT_SKIPPED | P1SKIP_B6__NOT_SKIPPED
			| P1SKIP_B7__NOT_SKIPPED;
	// [P1SKIP - Port 1 Skip]$

	// $[P1MASK - Port 1 Mask]
	// [P1MASK - Port 1 Mask]$

	// $[P1MAT - Port 1 Match]
	// [P1MAT - Port 1 Match]$

	// $[P1DRV - Port 1 Drive Strength]
	// [P1DRV - Port 1 Drive Strength]$

}

//==============================================================================
// PBCFG_0_enter_DefaultMode_from_RESET
//==============================================================================
extern void PBCFG_0_enter_DefaultMode_from_RESET(void) {
	// $[XBR2 - Port I/O Crossbar 2]
	/*
	 // WEAKPUD (Port I/O Weak Pullup Disable) = PULL_UPS_ENABLED (Weak
	 //     Pullups enabled (except for Ports whose I/O are configured for analog
	 //     mode).)
	 // XBARE (Crossbar Enable) = ENABLED (Crossbar enabled.)
	 */
	XBR2 = XBR2_WEAKPUD__PULL_UPS_ENABLED | XBR2_XBARE__ENABLED;
	// [XBR2 - Port I/O Crossbar 2]$

	// $[XBR0 - Port I/O Crossbar 0]
	/*
	 // URT0E (UART I/O Output Enable) = ENABLED (UART TX, RX routed to Port
	 //     pins P0.4 and P0.5.)
	 // SPI0E (SPI I/O Enable) = DISABLED (SPI I/O unavailable at Port pins.)
	 // SMB0E (SMBus0 I/O Enable) = DISABLED (SMBus0 I/O unavailable at Port
	 //     pins.)
	 // CP0E (Comparator0 Output Enable) = DISABLED (CP0 unavailable at Port
	 //     pin.)
	 // CP0AE (Comparator0 Asynchronous Output Enable) = DISABLED
	 //     (Asynchronous CP0 unavailable at Port pin.)
	 // CP1E (Comparator1 Output Enable) = DISABLED (CP1 unavailable at Port
	 //     pin.)
	 // CP1AE (Comparator1 Asynchronous Output Enable) = DISABLED
	 //     (Asynchronous CP1 unavailable at Port pin.)
	 // SYSCKE (SYSCLK Output Enable) = DISABLED (SYSCLK unavailable at Port
	 //     pin.)
	 */
	XBR0 = XBR0_URT0E__ENABLED | XBR0_SPI0E__DISABLED | XBR0_SMB0E__DISABLED
			| XBR0_CP0E__DISABLED | XBR0_CP0AE__DISABLED | XBR0_CP1E__DISABLED
			| XBR0_CP1AE__DISABLED | XBR0_SYSCKE__DISABLED;
	// [XBR0 - Port I/O Crossbar 0]$

	// $[XBR1 - Port I/O Crossbar 1]
	/*
	 // SPI1E (SPI1 I/O Enable) = ENABLED (SPI1 I/O routed to Port pins.)
	 // PCA0ME (PCA Module I/O Enable) = DISABLED (All PCA I/O unavailable at
	 //     Port pins.)
	 // ECIE (PCA0 External Counter Input Enable) = DISABLED (ECI unavailable
	 //     at Port pin.)
	 // T0E (T0 Enable) = DISABLED (T0 unavailable at Port pin.)
	 // T1E (T1 Enable) = DISABLED (T1 unavailable at Port pin.)
	 */
	XBR1 = XBR1_SPI1E__ENABLED | XBR1_PCA0ME__DISABLED | XBR1_ECIE__DISABLED
			| XBR1_T0E__DISABLED | XBR1_T1E__DISABLED;
	// [XBR1 - Port I/O Crossbar 1]$

}

//==============================================================================
// TIMER01_0_enter_DefaultMode_from_RESET
//==============================================================================
extern void TIMER01_0_enter_DefaultMode_from_RESET(void) {
	// $[Timer Initialization]
	//Save Timer Configuration
	U8 TCON_save;
	TCON_save = TCON;
	//Stop Timers
	TCON &= ~TCON_TR0__BMASK & ~TCON_TR1__BMASK;

	// [Timer Initialization]$

	// $[TH0 - Timer 0 High Byte]
	/*
	 // TH0 (Timer 0 High Byte) = 0x9C
	 */
	TH0 = (0x9C << TH0_TH0__SHIFT);
	// [TH0 - Timer 0 High Byte]$

	// $[TL0 - Timer 0 Low Byte]
	// [TL0 - Timer 0 Low Byte]$

	// $[TH1 - Timer 1 High Byte]
	/*
	 // TH1 (Timer 1 High Byte) = 0xD5
	 */
	TH1 = (0xD5 << TH1_TH1__SHIFT);
	// [TH1 - Timer 1 High Byte]$

	// $[TL1 - Timer 1 Low Byte]
	/*
	 // TL1 (Timer 1 Low Byte) = 0xCB
	 */
	TL1 = (0xCB << TL1_TL1__SHIFT);
	// [TL1 - Timer 1 Low Byte]$

	// $[Timer Restoration]
	//Restore Timer Configuration
	TCON |= (TCON_save & TCON_TR0__BMASK) | (TCON_save & TCON_TR1__BMASK);

	// [Timer Restoration]$

}

//==============================================================================
// TIMER_SETUP_0_enter_DefaultMode_from_RESET
//==============================================================================
extern void TIMER_SETUP_0_enter_DefaultMode_from_RESET(void) {
	// $[CKCON - Clock Control]
	/*
	 // SCA (Timer 0/1 Prescale) = SYSCLK_DIV_48 (System clock divided by 48.)
	 // T0M (Timer 0 Clock Select) = SYSCLK (Counter/Timer 0 uses the system
	 //     clock.)
	 // T2MH (Timer 2 High Byte Clock Select) = EXTERNAL_CLOCK (Timer 2 high
	 //     byte uses the clock defined by the T2XCLK bit in TMR2CN.)
	 // T2ML (Timer 2 Low Byte Clock Select) = EXTERNAL_CLOCK (Timer 2 low
	 //     byte uses the clock defined by the T2XCLK bit in TMR2CN.)
	 // T3MH (Timer 3 High Byte Clock Select) = EXTERNAL_CLOCK (Timer 3 high
	 //     byte uses the clock defined by the T3XCLK bit in TMR3CN.)
	 // T3ML (Timer 3 Low Byte Clock Select) = EXTERNAL_CLOCK (Timer 3 low
	 //     byte uses the clock defined by the T3XCLK bit in TMR3CN.)
	 // T1M (Timer 1 Clock Select) = SYSCLK (Timer 1 uses the system clock.)
	 */
	CKCON = CKCON_SCA__SYSCLK_DIV_48 | CKCON_T0M__SYSCLK
			| CKCON_T2MH__EXTERNAL_CLOCK | CKCON_T2ML__EXTERNAL_CLOCK
			| CKCON_T3MH__EXTERNAL_CLOCK | CKCON_T3ML__EXTERNAL_CLOCK
			| CKCON_T1M__SYSCLK;
	// [CKCON - Clock Control]$

	// $[TMOD - Timer 0/1 Mode]
	/*
	 // T0M (Timer 0 Mode Select) = MODE2 (Mode 2, 8-bit Counter/Timer with
	 //     Auto-Reload)
	 // CT0 (Counter/Timer 0 Select) = TIMER (Timer Mode. Timer 0 increments
	 //     on the clock defined by T0M in the CKCON register.)
	 // GATE0 (Timer 0 Gate Control) = DISABLED (Timer 0 enabled when TR0 = 1
	 //     irrespective of /INT0 logic level.)
	 // T1M (Timer 1 Mode Select) = MODE2 (Mode 2, 8-bit Counter/Timer with
	 //     Auto-Reload)
	 // CT1 (Counter/Timer 1 Select) = TIMER (Timer Mode. Timer 1 increments
	 //     on the clock defined by T1M in the CKCON register.)
	 // GATE1 (Timer 1 Gate Control) = DISABLED (Timer 1 enabled when TR1 = 1
	 //     irrespective of /INT1 logic level.)
	 */
	TMOD = TMOD_T0M__MODE2 | TMOD_CT0__TIMER | TMOD_GATE0__DISABLED
			| TMOD_T1M__MODE2 | TMOD_CT1__TIMER | TMOD_GATE1__DISABLED;
	// [TMOD - Timer 0/1 Mode]$

	// $[TCON - Timer 0/1 Control]
	/*
	 // TR0 (Timer 0 Run Control) = RUN (Start Timer 0 running.)
	 // TR1 (Timer 1 Run Control) = RUN (Start Timer 1 running.)
	 */
	TCON |= TCON_TR0__RUN | TCON_TR1__RUN;
	// [TCON - Timer 0/1 Control]$

}

//==============================================================================
// ADC_0_enter_DefaultMode_from_RESET
//==============================================================================
extern void ADC_0_enter_DefaultMode_from_RESET(void) {
	// $[ADC0CN - ADC0 Control]
	/*
	 // ADEN (ADC Enable) = DISABLED (Disable ADC0 (low-power shutdown).)
	 // ADBMEN (Burst Mode Enable) = BURST_ENABLED (Enable ADC0 burst mode.)
	 // ADCM (Start of Conversion Mode Select) = ADBUSY (ADC0 conversion
	 //     initiated on write of 1 to ADBUSY.)
	 */
	ADC0CN = ADC0CN_ADEN__DISABLED | ADC0CN_ADBMEN__BURST_ENABLED
			| ADC0CN_ADCM__ADBUSY;
	// [ADC0CN - ADC0 Control]$

	// $[ADC0MX - ADC0 Multiplexer Selection]
	/*
	 // ADC0MX (AMUX0 Positive Input Selection) = ADC0P6 (Select channel
	 //     ADC0.6.)
	 */
	ADC0MX = ADC0MX_ADC0MX__ADC0P6;
	// [ADC0MX - ADC0 Multiplexer Selection]$

	// $[ADC0CF - ADC0 Configuration]
	/*
	 // AD8BE (8-Bit Mode Enable) = NORMAL (ADC0 operates in 10-bit mode
	 //     (normal operation).)
	 // ADGN (Gain Control) = GAIN_0P5 (The on-chip PGA gain is 0.5.)
	 // ADSC (SAR Clock Divider) = 0x02
	 // ADTM (Track Mode) = TRACK_NORMAL (Normal Track Mode. When ADC0 is
	 //     enabled, conversion begins immediately following the start-of-
	 //     conversion signal.)
	 */
	ADC0CF = ADC0CF_AD8BE__NORMAL | ADC0CF_ADGN__GAIN_0P5
			| (0x02 << ADC0CF_ADSC__SHIFT) | ADC0CF_ADTM__TRACK_NORMAL;
	// [ADC0CF - ADC0 Configuration]$

	// $[ADC0TK - ADC0 Burst Mode Track Time]
	// [ADC0TK - ADC0 Burst Mode Track Time]$

	// $[ADC0PWR - ADC0 Power Control]
	/*
	 // ADPWR (Burst Mode Power Up Time) = 0x04
	 */
	SFRPAGE = 0x0F;
	ADC0PWR = (0x04 << ADC0PWR_ADPWR__SHIFT);
	// [ADC0PWR - ADC0 Power Control]$

	// $[ADC0AC - ADC0 Accumulator Configuration]
	// [ADC0AC - ADC0 Accumulator Configuration]$

	// $[ADC0GTH - ADC0 Greater-Than High Byte]
	/*
	 // ADC0GTH (Greater-Than High Byte) = 0x00
	 */
	SFRPAGE = 0x00;
	ADC0GTH = (0x00 << ADC0GTH_ADC0GTH__SHIFT);
	// [ADC0GTH - ADC0 Greater-Than High Byte]$

	// $[ADC0GTL - ADC0 Greater-Than Low Byte]
	/*
	 // ADC0GTL (Greater-Than Low Byte) = 0x00
	 */
	ADC0GTL = (0x00 << ADC0GTL_ADC0GTL__SHIFT);
	// [ADC0GTL - ADC0 Greater-Than Low Byte]$

	// $[ADC0LTH - ADC0 Less-Than High Byte]
	// [ADC0LTH - ADC0 Less-Than High Byte]$

	// $[ADC0LTL - ADC0 Less-Than Low Byte]
	// [ADC0LTL - ADC0 Less-Than Low Byte]$

}

//==============================================================================
// VREF_0_enter_DefaultMode_from_RESET
//==============================================================================
extern void VREF_0_enter_DefaultMode_from_RESET(void) {
	// $[REF0CN - Voltage Reference Control]
	/*
	 // REFGND (Analog Ground Reference) = GND_PIN (The ADC0 ground reference
	 //     is the GND pin.)
	 // REFOE (Internal Voltage Reference Output Enable) = DISABLED (Internal
	 //     1.68 V Precision Voltage Reference disabled and not connected to
	 //     P0.0/VREF.)
	 // TEMPE (Temperature Sensor Enable) = TEMP_ENABLED (Enable the
	 //     Temperature Sensor.)
	 // REFSL (Voltage Reference Select) = HIGH_SPEED_VREF (The ADC0 voltage
	 //     reference is the internal 1.65 V high speed voltage reference.)
	 */
	REF0CN = REF0CN_REFGND__GND_PIN | REF0CN_REFOE__DISABLED
			| REF0CN_TEMPE__TEMP_ENABLED | REF0CN_REFSL__HIGH_SPEED_VREF;
	// [REF0CN - Voltage Reference Control]$

}

//==============================================================================
// SPI_1_enter_DefaultMode_from_RESET
//==============================================================================
extern void SPI_1_enter_DefaultMode_from_RESET(void) {
	// $[SPI1CKR - SPI1 Clock Rate]
	/*
	 // SPI1CKR (SPI1 Clock Rate) = 0x09
	 */
	SPI1CKR = (0x09 << SPI1CKR_SPI1CKR__SHIFT);
	// [SPI1CKR - SPI1 Clock Rate]$

	// $[SPI1CFG - SPI1 Configuration]
	/*
	 // CKPHA (SPI1 Clock Phase) = DATA_CENTERED_FIRST (Data centered on first
	 //     edge of SCK period.)
	 // CKPOL (SPI1 Clock Polarity) = IDLE_LOW (SCK line low in idle state.)
	 // MSTEN (Master Mode Enable) = MASTER_ENABLED (Enable master mode.
	 //     Operate as a master.)
	 */
	SPI1CFG = SPI1CFG_CKPHA__DATA_CENTERED_FIRST | SPI1CFG_CKPOL__IDLE_LOW
			| SPI1CFG_MSTEN__MASTER_ENABLED;
	// [SPI1CFG - SPI1 Configuration]$

	// $[SPI1CN - SPI1 Control]
	/*
	 // SPIEN (SPI1 Enable) = ENABLED (Enable the SPI module.)
	 // NSSMD (Slave Select Mode) = 3_WIRE (3-Wire Slave or 3-Wire Master
	 //     Mode. NSS signal is not routed to a port pin.)
	 */
	SPI1CN &= ~SPI1CN_NSSMD__FMASK;
	SPI1CN |= SPI1CN_SPIEN__ENABLED;
	// [SPI1CN - SPI1 Control]$

}

//==============================================================================
// UART_0_enter_DefaultMode_from_RESET
//==============================================================================
extern void UART_0_enter_DefaultMode_from_RESET(void) {
	// $[SCON0 - UART0 Serial Port Control]
	/*
	 // REN (Receive Enable) = RECEIVE_ENABLED (UART0 reception enabled.)
	 */
	SCON0 |= SCON0_REN__RECEIVE_ENABLED;
	// [SCON0 - UART0 Serial Port Control]$

}

//==============================================================================
// RSTSRC_0_enter_DefaultMode_from_RESET
//==============================================================================
extern void RSTSRC_0_enter_DefaultMode_from_RESET(void) {
	// $[RSTSRC - Reset Source]
	/*
	 // C0RSEF (Comparator0 Reset Enable and Flag) = NOT_SET (A Comparator 0
	 //     reset did not occur.)
	 // MCDRSF (Missing Clock Detector Enable and Flag) = SET (A missing clock
	 //     detector reset occurred.)
	 // PORSF (Power-On / Supply Monitor Reset Flag, and Supply Monitor Reset
	 //     Enable) = SET (A power-on or supply monitor reset occurred.)
	 // RTC0RE (RTC Reset Enable and Flag) = NOT_SET (A RTC alarm or
	 //     oscillator fail reset did not occur.)
	 // SWRSF (Software Reset Force and Flag) = NOT_SET (A software reset did
	 //     not occur.)
	 */
	RSTSRC = RSTSRC_C0RSEF__NOT_SET | RSTSRC_MCDRSF__SET | RSTSRC_PORSF__SET
			| RSTSRC_RTC0RE__NOT_SET | RSTSRC_SWRSF__NOT_SET;
	// [RSTSRC - Reset Source]$

}

//==============================================================================
// INTERRUPT_0_enter_DefaultMode_from_RESET
//==============================================================================
extern void INTERRUPT_0_enter_DefaultMode_from_RESET(void) {
	// $[EIE1 - Extended Interrupt Enable 1]
	// [EIE1 - Extended Interrupt Enable 1]$

	// $[EIP1 - Extended Interrupt Priority 1]
	// [EIP1 - Extended Interrupt Priority 1]$

	// $[IE - Interrupt Enable]
	/*
	 // EA (All Interrupts Enable) = ENABLED (Enable each interrupt according
	 //     to its individual mask setting.)
	 // EX0 (External Interrupt 0 Enable) = DISABLED (Disable external
	 //     interrupt 0.)
	 // EX1 (External Interrupt 1 Enable) = DISABLED (Disable external
	 //     interrupt 1.)
	 // ESPI0 (SPI0 Interrupt Enable) = DISABLED (Disable all SPI0
	 //     interrupts.)
	 // ET0 (Timer 0 Interrupt Enable) = ENABLED (Enable interrupt requests
	 //     generated by the TF0 flag.)
	 // ET1 (Timer 1 Interrupt Enable) = DISABLED (Disable all Timer 1
	 //     interrupt.)
	 // ET2 (Timer 2 Interrupt Enable) = DISABLED (Disable Timer 2 interrupt.)
	 // ES0 (UART0 Interrupt Enable) = DISABLED (Disable UART0 interrupt.)
	 */
	IE = IE_EA__ENABLED | IE_EX0__DISABLED | IE_EX1__DISABLED
			| IE_ESPI0__DISABLED | IE_ET0__ENABLED | IE_ET1__DISABLED
			| IE_ET2__DISABLED | IE_ES0__DISABLED;
	// [IE - Interrupt Enable]$

	// $[IP - Interrupt Priority]
	/*
	 // PX0 (External Interrupt 0 Priority Control) = LOW (External Interrupt
	 //     0 set to low priority level.)
	 // PX1 (External Interrupt 1 Priority Control) = LOW (External Interrupt
	 //     1 set to low priority level.)
	 // PSPI0 (Serial Peripheral Interface (SPI0) Interrupt Priority Control)
	 //     = LOW (SPI0 interrupt set to low priority level.)
	 // PT0 (Timer 0 Interrupt Priority Control) = HIGH (Timer 0 interrupt set
	 //     to high priority level.)
	 // PT1 (Timer 1 Interrupt Priority Control) = LOW (Timer 1 interrupt set
	 //     to low priority level.)
	 // PT2 (Timer 2 Interrupt Priority Control) = LOW (Timer 2 interrupt set
	 //     to low priority level.)
	 // PS0 (UART0 Interrupt Priority Control) = LOW (UART0 interrupt set to
	 //     low priority level.)
	 */
	IP = IP_PX0__LOW | IP_PX1__LOW | IP_PSPI0__LOW | IP_PT0__HIGH | IP_PT1__LOW
			| IP_PT2__LOW | IP_PS0__LOW;
	// [IP - Interrupt Priority]$

	// $[EIE2 - Extended Interrupt Enable 2]
	// [EIE2 - Extended Interrupt Enable 2]$

	// $[EIP2 - Extended Interrupt Priority 2]
	// [EIP2 - Extended Interrupt Priority 2]$

}

extern void PORTS_2_enter_DefaultMode_from_RESET(void) {

	// $[P2 - Port 2 Pin Latch]
	/*
	 // B0 (Port 2 Bit 0 Latch) = HIGH (P2.0 is high. Set P2.0 to drive or
	 //     float high.)
	 // B1 (Port 2 Bit 1 Latch) = LOW (P2.1 is low. Set P2.1 to drive low.)
	 // B2 (Port 2 Bit 2 Latch) = HIGH (P2.2 is high. Set P2.2 to drive or
	 //     float high.)
	 // B3 (Port 2 Bit 3 Latch) = HIGH (P2.3 is high. Set P2.3 to drive or
	 //     float high.)
	 // B4 (Port 2 Bit 4 Latch) = HIGH (P2.4 is high. Set P2.4 to drive or
	 //     float high.)
	 // B5 (Port 2 Bit 5 Latch) = HIGH (P2.5 is high. Set P2.5 to drive or
	 //     float high.)
	 // B6 (Port 2 Bit 6 Latch) = HIGH (P2.6 is high. Set P2.6 to drive or
	 //     float high.)
	 // B7 (Port 2 Bit 7 Latch) = HIGH (P2.7 is high. Set P2.7 to drive or
	 //     float high.)
	 */
	P2 = P2_B0__HIGH | P2_B1__LOW | P2_B2__HIGH | P2_B3__HIGH | P2_B4__HIGH
			| P2_B5__HIGH | P2_B6__HIGH | P2_B7__HIGH;
	// [P2 - Port 2 Pin Latch]$

	// $[P2MDOUT - Port 2 Output Mode]
	/*
	 // B0 (Port 2 Bit 0 Output Mode) = OPEN_DRAIN (P2.0 output is open-
	 //     drain.)
	 // B1 (Port 2 Bit 1 Output Mode) = PUSH_PULL (P2.1 output is push-pull.)
	 // B2 (Port 2 Bit 2 Output Mode) = OPEN_DRAIN (P2.2 output is open-
	 //     drain.)
	 // B3 (Port 2 Bit 3 Output Mode) = OPEN_DRAIN (P2.3 output is open-
	 //     drain.)
	 // B4 (Port 2 Bit 4 Output Mode) = OPEN_DRAIN (P2.4 output is open-
	 //     drain.)
	 // B5 (Port 2 Bit 5 Output Mode) = OPEN_DRAIN (P2.5 output is open-
	 //     drain.)
	 // B6 (Port 2 Bit 6 Output Mode) = OPEN_DRAIN (P2.6 output is open-
	 //     drain.)
	 // B7 (Port 2 Bit 7 Output Mode) = OPEN_DRAIN (P2.7 output is open-
	 //     drain.)
	 */
	P2MDOUT = P2MDOUT_B0__OPEN_DRAIN | P2MDOUT_B1__PUSH_PULL
			| P2MDOUT_B2__OPEN_DRAIN | P2MDOUT_B3__OPEN_DRAIN
			| P2MDOUT_B4__OPEN_DRAIN | P2MDOUT_B5__OPEN_DRAIN
			| P2MDOUT_B6__OPEN_DRAIN | P2MDOUT_B7__OPEN_DRAIN;
	// [P2MDOUT - Port 2 Output Mode]$

	// $[P2MDIN - Port 2 Input Mode]
	// [P2MDIN - Port 2 Input Mode]$

	// $[P2SKIP - Port 2 Skip]
	// [P2SKIP - Port 2 Skip]$

	// $[P2DRV - Port 2 Drive Strength]
	// [P2DRV - Port 2 Drive Strength]$

}

